/*  Header file for evolve.c                           */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _EVOLVE_H_
#define _EVOLVE_H_

#include "tree.h"

extern int numTaxa, numBases;

extern double gammaShape;
extern int rateHetero;
extern char *aminoAcids;

enum {
	NoRates,
	CodonRates,
	GammaRates
};

/* prototypes */

void SetModel(int model);
void SetCategories();
void CreateSequences(TTree *tree);
void EvolveSequences(TTree *tree, double scale);
void WriteSequences(FILE *fv, TTree *tree);

#endif /* _EVOLVE_H_ */
