/*  Header file for models.c                           */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _MODELS_H_
#define _MODELS_H_

#define NUM_AA 20
#define SQNUM_AA 400
#define CUNUM_AA 8000

enum { ala, arg, asn, asp, cys, gln, glu, gly, his, ileu, leu, lys, met, phe, pro,
  ser, thr, trp, tyr, val};

enum { PAM, JTT, MTREV, GENERAL };

typedef int       ivectpmty[NUM_AA];
typedef double    dvectpmty[NUM_AA];
typedef dvectpmty dmattpmty[NUM_AA];
typedef short boolean;

extern int model, mfreqSet;
extern double freq[NUM_AA], addFreq[NUM_AA];


void SetModel(int theModel);
void SetMatrix(double *matrix, double len);
void SetVector(double *vector, short base, double len);
void printEigen();
void printPij();

#endif /* _MODELS_H_ */
